
TYPO3.Flow - Feature # 31021

Status: Resolved Priority: Should have
Author: Christian Jul Jensen Category: Property
Created: 2011-10-17 Assigned To: Christian Jul Jensen
Updated: 2012-05-15 Due date:
PHP Version:
Has patch: No
Complexity:
Subject: PropertyMappingConfiguration should support not mapping of properties
Description

Currently the shouldMap method of the PropertyMappingConfiguration always returns TRUE, it should be possible to configure it to
ignore mapping of certain data/properties.

Associated revisions
Revision 08414d61 - 2012-01-10 13:07 - Christian Jul Jensen

[FEATURE] Add support for not mapped properties

The PropertyMappingConfiguration now has a doNotMapProperty() method that
tells the mapper to ignore the data / property

Change-Id: Ieb43e8cd244b82c4b6cd388bdf582f9214fe711b
Resolves: #31021
Releases: 1.1

History
#1 - 2011-10-17 22:15 - Mr. Hudson
- Status changed from New to Under Review

Patch set 1 of change Ieb43e8cd244b82c4b6cd388bdf582f9214fe711b has been pushed to the review server.
It is available at http://review.typo3.org/5918

#2 - 2012-01-10 13:05 - Karsten Dambekalns
- Tracker changed from Task to Feature

#3 - 2012-01-10 13:06 - Karsten Dambekalns
- Category set to Property
- Assigned To set to Christian Jul Jensen
- Target version set to 1.1
- Has patch set to No

#4 - 2012-01-10 13:07 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/5918
#5 - 2012-04-08 20:29 - Andreas Wolf

I guess this can be closed as the reviewed patch has been merged in the meantime.

#6 - 2012-05-15 15:24 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100
